<?php
class bCounterDB
{
    function bCounterDB($strServer, $strDbName, $strUser, $strPW)
    {
#echo "asdsds";
        $this->iQueries = 0;
        $this->connect($strServer, $strDbName, $strUser, $strPW);
    }
#/*
    function connect($strServer, $strDbName, $strUser, $strPW)
    {
        if ( !( $this->link = @mysql_select_db( $strDbName, @mysql_connect($strServer, $strUser, $strPW) ) ) )
        {
            return false;
        }
    }

    function query($query) 
    {
        $result = @mysql_query($query);

        $this->iQueries++;
        return $result;
    }

    function close() 
    {
        mysql_close($this->link);
    }

    function get_queries_count() {
        return $this->iQueries;
    }
#*/
}
?>
